This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446652 - Review Request: rpc2 - RPC2 library
Review Request: rpc2 - RPC2 library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 11:08 EDT by Hans de Goede
Modified: 2009-09-09 12:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 18:12:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-05-15 11:08:27 EDT
Spec URL: http://people.atrpms.net/~hdegoede/rpc2.spec
SRPM URL: http://people.atrpms.net/~hdegoede/rpc2-2.7-1.fc10.src.rpm
Description:
The RPC2 library.
Comment 1 Pavel Shevchuk 2008-05-15 15:25:37 EDT
>Requires:       %{name} = %{version}-%{release}, pkgconfig
Why comma separated?

Also, pkgconfig is missing from buildrequires.

Otherwise can't see any flaws.
Comment 2 Patrice Dumas 2008-05-15 15:32:18 EDT
Comma separated dependencies is also right.
Comment 3 Hans de Goede 2008-05-15 15:59:14 EDT
(In reply to comment #1)
> >Requires:       %{name} = %{version}-%{release}, pkgconfig
> Why comma separated?
> 

I always use comma seperated Requires when version's are involeed to clearly
seperate the requires:  foo = version, bar = version, etc

> Also, pkgconfig is missing from buildrequires.
lwp-devel requires pkgconfig, and rpc2 needs pkgconfig during the build to
detect lwp, so there is no reason to explicitly require it.
Comment 4 David Woodhouse 2008-05-16 05:57:29 EDT
The README.ipv6 file seems to be out of date.  
Comment 5 Hans de Goede 2008-05-16 08:25:51 EDT
(In reply to comment #4)
> The README.ipv6 file seems to be out of date.  

So it should not be shipped I guess, was that the intention of your comment?
Comment 6 Richard W.M. Jones 2008-05-16 09:20:36 EDT
Taking for review (in an hour or so)
Comment 7 Hans de Goede 2008-05-16 09:45:43 EDT
(In reply to comment #6)
> Taking for review (in an hour or so)

Thanks!
Comment 8 Richard W.M. Jones 2008-05-16 10:33:24 EDT
+ rpmlint output

rpc2-devel.x86_64: W: no-documentation

I guess it might be a good idea to shift files such as 'README.ipv6'
into -devel?

+ package name satisfies the packaging naming guidelines

Very general name though.  At first I thought (and hoped) it was
an improved SunRPC system.  I wonder if anything apart from Coda
uses RPC2?

+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  b28e3291d71bb36a374fb85d65125276
+ package successfully builds on at least one architecture
  x86-64
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies

  However I didn't get a chance to build this in Koji, because
  lwp isn't in Rawhide yet,

n/a %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
n/a static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
- reviewer should build the package in mock
- the package should build into binary RPMs on all supported architectures
+ review should test the package functions as described

  Tested in as far as it builds Coda.

+ scriptlets should be sane
+ pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

===========

APPROVED.
Comment 9 Hans de Goede 2008-05-16 11:00:29 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      rpc2
Short Description: RPC2 library
Owners:            jwrdegoede
Branches:          F-8 F-9
InitialCC: 
Cvsextras Commits: Yes
Comment 10 Kevin Fenzi 2008-05-16 11:48:46 EDT
cvs done.
Comment 11 Hans de Goede 2008-05-16 18:12:57 EDT
Imported and build for F-8 F-9 devel, will get pushed as update for F-8 and F-9
together with the rest of the coda stack once coda itself has been built too.
Comment 12 Adam Goode 2008-05-17 20:57:10 EDT
Re: comment 8, rpc2 is very old (from 1988) and the name is pretty well known.
Nothing but Coda uses it.

In fact, the main developer of Coda is considering moving all rpc2, lwp, rvm
back into the coda source tree because nothing outside of Coda uses any of this
stuff, and it might be confusing to have these libraries around.

As for a SunRPC replacement, our group is working on something called miniRPC
that I am planning to package soon (if no one beats me to it).

http://minirpc.cs.cmu.edu/
Comment 13 Adam Goode 2009-09-08 17:06:17 EDT
Package Change Request
======================
Package Name: rpc2
New Branches: EL-5
Owners: agoode nhorman
Comment 14 Kevin Fenzi 2009-09-09 12:30:36 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.